Mailinglist Archive: opensuse-buildservice (233 mails)

< Previous Next >
[opensuse-buildservice] Help on hermes installation needed
Hi all.

I need some help installing hermes.

Is this the right place to ask?
If not, where should I direct my question to?

If yes: I downloaded hermes from git (I even created RPMs -
rudimentary), and am following the hacking guide
http://en.opensuse.org/openSUSE:Hermes_hacking

The first problem seems to be the rails environment from the openSUSE
Tools repo (for 12.2, on which my OBS installation runs): there are not
ruby on rails packages there. OK, that might not be a problem, as 12.2
has - hopefully - all I need.

To create and fill the database I should create the database in MySQL -
done, then change to the starship dir and call
RAILS_ENV=production rake db:migrate
which fails:

====
obs24:/srv/www/hermes/starship # export RAILS_ENV=production
obs24:/srv/www/hermes/starship # rake db:migrate
WARNING: 'require 'rake/rdoctask'' is deprecated. Please use 'require
'rdoc/task' (in RDoc 2.4.2+)' instead.
at /usr/lib64/ruby/1.9.1/rake/rdoctask.rb
rake aborted!
uninitialized constant
ActionView::Helpers::JavaScriptElementProxy::ActionView

Tasks: TOP => db:migrate => environment
(See full trace by running task with --trace)
obs24:/srv/www/hermes/starship #
====

I am not familiar with ruby on rails, but I understand, that there
seems to be something missing from my installation.
What? How can I proceed?
Which information do you need additionally?

Thank you for helping me,

Stefan
--
Stefan Botter
Network Manager

Jacobs University Bremen gGmbH
Campus Ring 1 | 28759 Bremen | Germany

Commercial registry: Amtsgericht Bremen, HRB 18117
President & Geschäftsführer: Prof. Dr. Heinz-Otto Peitgen
Provost & Geschäftsführerin: Prof. Dr.-Ing. Katja Windt
Chair Board of Governors: Prof. Dr. Karin Lochte

< Previous Next >
This Thread
  • No further messages